Package org.apache.lucene.spatial.prefix

# Class PointPrefixTreeFieldCacheProvider

java.lang.Object
org.apache.lucene.spatial.util.ShapeFieldCacheProvider<org.locationtech.spatial4j.shape.Point>
org.apache.lucene.spatial.prefix.PointPrefixTreeFieldCacheProvider

public class PointPrefixTreeFieldCacheProvider extends ShapeFieldCacheProvider<org.locationtech.spatial4j.shape.Point>
Implementation of `ShapeFieldCacheProvider` designed for `PrefixTreeStrategy`s that index points (AND ONLY POINTS!).

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.spatial.util.ShapeFieldCacheProvider

  `defaultSize, shapeField`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PointPrefixTreeFieldCacheProvider(SpatialPrefixTree grid, String shapeField, int defaultSize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.locationtech.spatial4j.shape.Point`
  `readShape(BytesRef term)`

  ### Methods inherited from class org.apache.lucene.spatial.util.ShapeFieldCacheProvider

  `getCache`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PointPrefixTreeFieldCacheProvider

    public PointPrefixTreeFieldCacheProvider(SpatialPrefixTree grid, String shapeField, int defaultSize)

- ## Method Details

  - ### readShape

    protected org.locationtech.spatial4j.shape.Point readShape(BytesRef term)
    Specified by:
      `readShape` in class `ShapeFieldCacheProvider<org.locationtech.spatial4j.shape.Point>`